HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostDisputesDispute

Contains the different functions to run the operation postDisputesDispute

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostDisputesDispute.hs
valuepostDisputesDispute
  1. :: MonadHTTP m
  2. => Text

    dispute | Constraints: Maximum length of 5000

  3. -> Maybe PostDisputesDisputeRequestBody

    The request body to send

  4. -> ClientT m (Response PostDisputesDisputeResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/disputes/{dispute}

<p>When you get a dispute, contacting your customer is always the best first step. If that doesn’t work, you can submit evidence to help us resolve the dispute in your favor. You can do this in your <a href="https://dashboard.stripe.com/disputes">dashboard</a>, but if you prefer, you can use the API to submit evidence programmatically.</p>

<p>Depending on your dispute type, different evidence fields will give you a better chance of winning your dispute. To figure out which evidence fields to provide, see our <a href="/docs/disputes/categories">guide to dispute types</a>.</p>

Defines the object schema located at paths./v1/disputes/{dispute}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/disputes/{dispute}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.evidence in the specification.

Evidence to upload, to respond to a dispute. Updating any field in the hash will submit all fields in the hash for review. The combined character count of all fields is limited to 150,000.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/disputes/{dispute}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postDisputesDispute.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostDisputesDisputeResponseError is used.

Constructors

Instances2Eq, Show